## python-networkmanager 2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-networkmanager.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-networkmanager.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-networkmanager"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-networkmanager"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-networkmanager 0.9.10

=== debian/changelog ===
python-networkmanager (0.9.10-1) unstable; urgency=low

  * Initial release (Closes: #702587)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 13 Sep 2013 12:09:03 -0400

=== debian/control ===
Source: python-networkmanager
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: python
Priority: extra
Build-Depends: python-all (>= 2.6.6-3),
               python3-all,
               debhelper (>= 7.4.3),
               python-sphinx (>= 1.0) | python3-sphinx (>= 1.0)
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://pypi.python.org/pypi/python-networkmanager/
Vcs-Git: git://anonscm.debian.org/collab-maint/python-networkmanager.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-networkmanager.git

Package: python-networkmanager
Architecture: all
Depends: network-manager (>= 0.9.0~),
         ${misc:Depends},
         ${python:Depends}
Description: Python interface to the NetworkManager D-Bus interface
 python-networkmanager wraps NetworkManager's D-Bus interface so you can be
 less verbose when talking to NetworkManager from python. All interfaces have
 been wrapped in classes, properties are exposed as python properties and
 function calls are forwarded to the correct interface.
 .
 See docs/index.rst for the documentation. An HTML version can be found on
 http://packages.python.org/python-networkmanager/

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build
	make -C docs html

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean
	rm -rf build
	rm -rf *.egg-info

## python-networkmanager 2.0.1

=== debian/changelog ===
python-networkmanager (2.0.1-4) unstable; urgency=medium

  * Team upload.
  * Add some upstream changes for more robust behavior.

 -- David Steele <steele@debian.org>  Fri, 23 Feb 2018 22:11:19 -0500

python-networkmanager (2.0.1-2) unstable; urgency=medium

  * Team upload.

  [ W. Martin Borgert <debacle@debian.org> 2018-02-06 ]
  * Reflect license change in debian/copyright (Closes: #889034).
  * Fix Python 2 package by using pybuild (Closes: #889039).

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ David Steele ]
  * Update Debian Standards to v4.1.3.

 -- David Steele <steele@debian.org>  Mon, 19 Feb 2018 22:34:06 -0500

python-networkmanager (2.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #860727)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 11 Jan 2018 22:17:33 +0100

python-networkmanager (0.9.10-2) unstable; urgency=medium

  * Team upload.
  * Add a python3 version of the package (Closes: #777516).
  * Address some lintian issues.

 -- David Steele <steele@debian.org>  Wed, 10 Jan 2018 20:19:36 -0500

=== debian/control ===
Source: python-networkmanager
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools,
               python3-all,
               python3-setuptools,
               debhelper (>= 10),
               python-sphinx (>= 1.0) | python3-sphinx (>= 1.0),
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://pypi.python.org/pypi/python-networkmanager/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkmanager.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkmanager

Package: python-networkmanager
Architecture: all
Depends: network-manager (>= 0.9.0~),
         ${misc:Depends},
         ${python:Depends}
Description: Python 2 interface to the NetworkManager D-Bus interface
 python-networkmanager wraps NetworkManager's D-Bus interface so you can be
 less verbose when talking to NetworkManager from Python. All interfaces have
 been wrapped in classes, properties are exposed as Python properties and
 function calls are forwarded to the correct interface.
 .
 See docs/index.rst for the documentation. An HTML version can be found on
 http://packages.python.org/python-networkmanager/
 .
 This package provides the Python 2.7 module.

Package: python3-networkmanager
Architecture: all
Depends: network-manager (>= 0.9.0~),
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 interface to the NetworkManager D-Bus interface
 python-networkmanager wraps NetworkManager's D-Bus interface so you can be
 less verbose when talking to NetworkManager from Python. All interfaces have
 been wrapped in classes, properties are exposed as Python properties and
 function calls are forwarded to the correct interface.
 .
 See docs/index.rst for the documentation. An HTML version can be found on
 http://packages.python.org/python-networkmanager/
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=networkmanager

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean
	rm -rf build
	rm -rf *.egg-info

## python-networkmanager 2.1

=== debian/changelog ===
python-networkmanager (2.1-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 21:17:30 +0200

python-networkmanager (2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ W. Martin Borgert ]
  * New upstream version (Closes: #907645).
  * Add patch to gracefully handle dbus exception,
    e.g. for testing in chroot (Closes: #896281).
  * Remove old patches, not needed for new version.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 31 Aug 2018 09:23:55 +0000

=== debian/control ===
Source: python-networkmanager
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all,
               python3-setuptools,
               debhelper-compat (= 10),
               python3-sphinx (>= 1.0),
               python3-sphinx-rtd-theme,
Standards-Version: 4.2.1
Homepage: https://pypi.python.org/pypi/python-networkmanager/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkmanager.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkmanager

Package: python3-networkmanager
Architecture: all
Depends: network-manager (>= 0.9.0~),
         ${misc:Depends},
         ${python3:Depends}
Description: Python 3 interface to the NetworkManager D-Bus interface
 python-networkmanager wraps NetworkManager's D-Bus interface so you can be
 less verbose when talking to NetworkManager from Python. All interfaces have
 been wrapped in classes, properties are exposed as Python properties and
 function calls are forwarded to the correct interface.
 .
 See docs/index.rst for the documentation. An HTML version can be found on
 http://packages.python.org/python-networkmanager/
 .
 This package provides the Python 3.x module.

## python-networkmanager 2.2

=== debian/changelog ===
python-networkmanager (2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andreas Henriksson ]
  * New upstream release.
    - includes compatibility additions with newer NM (Closes: #984983)
  * Refresh offsets in d/p/0003-Gracefully-handle-dbus-exception.patch
  * Update years in debian/copyright to match upstream

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 13 Mar 2021 19:29:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-networkmanager
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Section: python
 Priority: optional
@@ -11,8 +11,8 @@
                python3-sphinx-rtd-theme,
 Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/python-networkmanager/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkmanager.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkmanager
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-networkmanager.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-networkmanager
 
 Package: python3-networkmanager
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=networkmanager
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/python-networkmanager/python-networkmanager-(.*)\.tar\.gz
